通过


你当前正在访问 Microsoft Azure Global Edition 技术文档网站。 如果需要访问由世纪互联运营的 Microsoft Azure 中国技术文档网站,请访问 https://docs.azure.cn

Authorization Provider - List By Service

列出服务实例中定义的授权提供程序的集合。

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ApiManagement/service/{serviceName}/authorizationProviders?api-version=2024-05-01
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ApiManagement/service/{serviceName}/authorizationProviders?$filter={$filter}&$top={$top}&$skip={$skip}&api-version=2024-05-01

URI 参数

名称 必需 类型 说明
resourceGroupName
path True

string

minLength: 1
maxLength: 90

资源组的名称。 名称不区分大小写。

serviceName
path True

string

minLength: 1
maxLength: 50
pattern: ^[a-zA-Z](?:[a-zA-Z0-9-]*[a-zA-Z0-9])?$

API 管理服务的名称。

subscriptionId
path True

string (uuid)

目标订阅的 ID。 该值必须是 UUID。

api-version
query True

string

minLength: 1

用于此作的 API 版本。

$filter
query

string

|字段 |用法 |支持的运算符 |支持的函数 |
|-------------|-------------|-------------|-------------|
|name |filter |ge, le, eq, ne, gt, lt |substringof, contains, startswith, endswith |
|displayName |filter |ge, le, eq, ne, gt, lt |substringof, contains, startswith, endswith |

$skip
query

integer (int32)

minimum: 0

要跳过的记录数。

$top
query

integer (int32)

minimum: 1

要返回的记录数。

响应

名称 类型 说明
200 OK

AuthorizationProviderCollection

指定 API 管理服务实例的授权提供程序实体的集合。

Other Status Codes

ErrorResponse

描述作失败的原因的错误响应。

安全性

azure_auth

Azure Active Directory OAuth2 Flow。

类型: oauth2
流向: implicit
授权 URL: https://login.microsoftonline.com/common/oauth2/authorize

作用域

名称 说明
user_impersonation 模拟用户帐户

示例

ApiManagementListAuthorizationProviders

示例请求

GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/authorizationProviders?api-version=2024-05-01

示例响应

{
  "value": [
    {
      "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/authorizationProviders/aadwithauthcode",
      "type": "Microsoft.ApiManagement/service/authorizationProviders",
      "name": "aadwithauthcode",
      "properties": {
        "displayName": "aadwithauthcode",
        "identityProvider": "aad",
        "oauth2": {
          "redirectUrl": "https://authorization-manager.consent.azure-apim.net/redirect/apim/apimService1",
          "grantTypes": {
            "authorizationCode": {
              "clientId": "53790825-fdd3-4b80-bc7a-4c3aaf25801d",
              "scopes": "User.Read.All Group.Read.All",
              "loginUri": "https://login.windows.net",
              "resourceUri": "https://graph.microsoft.com",
              "tenantId": "common"
            }
          }
        }
      }
    },
    {
      "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/authorizationProviders/aadwithclientcred",
      "type": "Microsoft.ApiManagement/service/authorizationProviders",
      "name": "aadwithclientcred",
      "properties": {
        "displayName": "aadwithclientcred",
        "identityProvider": "aad",
        "oauth2": {
          "redirectUrl": "https://authorization-manager.consent.azure-apim.net/redirect/apim/apimService1",
          "grantTypes": {
            "clientCredentials": {
              "scopes": "User.Read.All Group.Read.All",
              "loginUri": "https://login.windows.net",
              "resourceUri": "https://graph.microsoft.com",
              "tenantId": "common"
            }
          }
        }
      }
    },
    {
      "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/authorizationProviders/google",
      "type": "Microsoft.ApiManagement/service/authorizationProviders",
      "name": "google",
      "properties": {
        "displayName": "google",
        "identityProvider": "google",
        "oauth2": {
          "redirectUrl": "https://authorization-manager.consent.azure-apim.net/redirect/apim/apimService1",
          "grantTypes": {
            "authorizationCode": {
              "clientId": "99999999-xxxxxxxxxxxxxxxxxxxxxxxx.apps.googleusercontent.com",
              "scopes": "openid https://www.googleapis.com/auth/userinfo.profile https://www.googleapis.com/auth/userinfo.email"
            }
          }
        }
      }
    },
    {
      "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/authorizationProviders/eventbrite",
      "type": "Microsoft.ApiManagement/service/authorizationProviders",
      "name": "eventbrite",
      "properties": {
        "displayName": "eventbrite",
        "identityProvider": "oauth2",
        "oauth2": {
          "redirectUrl": "https://authorization-manager.consent.azure-apim.net/redirect/apim/apimService1",
          "grantTypes": {
            "authorizationCode": {
              "clientId": "clientid",
              "scopes": null,
              "authorizationUrl": "https://www.eventbrite.com/oauth/authorize",
              "refreshUrl": "https://www.eventbrite.com/oauth/token",
              "tokenUrl": "https://www.eventbrite.com/oauth/token"
            }
          }
        }
      }
    }
  ],
  "nextLink": ""
}

定义

名称 说明
AuthorizationProviderCollection

分页授权提供程序列表表示形式。

AuthorizationProviderContract

授权提供程序协定。

AuthorizationProviderOAuth2GrantTypes

授权提供程序 oauth2 授予类型设置

AuthorizationProviderOAuth2Settings

OAuth2 设置详细信息

ErrorAdditionalInfo

资源管理错误附加信息。

ErrorDetail

错误详细信息。

ErrorResponse

错误响应

AuthorizationProviderCollection

分页授权提供程序列表表示形式。

名称 类型 说明
nextLink

string

下一页链接(如果有)。

value

AuthorizationProviderContract[]

页面值。

AuthorizationProviderContract

授权提供程序协定。

名称 类型 说明
id

string

资源的完全限定资源 ID。 示例 - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

name

string

资源的名称

properties.displayName

string

minLength: 1
maxLength: 300

授权提供程序名称。 长度必须为 1 到 300 个字符。

properties.identityProvider

string

标识提供者名称。 长度必须为 1 到 300 个字符。

properties.oauth2

AuthorizationProviderOAuth2Settings

OAuth2 设置

type

string

资源的类型。 例如“Microsoft.Compute/virtualMachines”或“Microsoft.Storage/storageAccounts”

AuthorizationProviderOAuth2GrantTypes

授权提供程序 oauth2 授予类型设置

名称 类型 说明
authorizationCode

object

OAuth2 授权代码授予参数

clientCredentials

object

OAuth2 客户端凭据授予参数

AuthorizationProviderOAuth2Settings

OAuth2 设置详细信息

名称 类型 说明
grantTypes

AuthorizationProviderOAuth2GrantTypes

OAuth2 设置

redirectUrl

string

要设置在 OAuth 应用程序中的重定向 URL。

ErrorAdditionalInfo

资源管理错误附加信息。

名称 类型 说明
info

object

其他信息。

type

string

其他信息类型。

ErrorDetail

错误详细信息。

名称 类型 说明
additionalInfo

ErrorAdditionalInfo[]

错误附加信息。

code

string

错误代码。

details

ErrorDetail[]

错误详细信息。

message

string

错误消息。

target

string

错误目标。

ErrorResponse

错误响应

名称 类型 说明
error

ErrorDetail

错误对象。